Partially Update Client Risk

Updates specific fields of a risk. Only the fields provided in the request body will be updated.
All other fields will remain unchanged.

Request property names use snake_case in JSON.

Allowed values for patchable fields:

  • title: risk title
  • code: business code (e.g. RSK-12)
  • description: risk description
  • status: Not Assessed, Assessment in progress, Assessed, Needs Remediation, Remediated, Closed (Remediation in progress is also accepted for backward compatibility but is deprecated — use Needs Remediation)
  • owner_email: user email
  • team: team name
  • department: department name
  • category: risk category name
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the client. Accepts either the client UUID or the client's tenant_id.

int32
required

Unique identifier of the risk to be updated.

Body Params

Fields to update for the risk. Only provided fields will be modified.

Request object for partially updating a risk.

string

The unique code for the risk

string

The title of the risk

string

A detailed description of the risk

string
enum

Status of the risk. Needs Remediation is the current value. Remediation in progress is accepted for backward compatibility but is deprecated and will be removed in a future API version — clients still sending it should migrate to Needs Remediation.

Allowed:
string

The owner of the risk

string

The team responsible for the risk

string

The department related to the risk

string

The category of the risk

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json